<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:08:40 PST 2017 -->
<title>AutoFxn</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AutoFxn";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../xdc/services/getset/Field.html" title="class in xdc.services.getset"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/AutoFxn.html" target="_top">Frames</a></li>
<li><a href="AutoFxn.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_xdc.services.getset.Fxn">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.getset</div>
<h2 title="Class AutoFxn" class="title">Class AutoFxn</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset">xdc.services.getset.Fxn</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.getset.AutoFxn</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.mozilla.javascript.Callable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">AutoFxn</span>
extends <a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></pre>
<div class="block">A <a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><code>Fxn</code></a> that automatically determines its own inputs and outputs.
 Eliminates the need for client code to specify these explicitly, or
 even to know. Useful, for example, when the body calls other functions
 and doesn't want to track the details of their implementation.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/getset/AutoFxn.html#AutoFxn(xdc.services.getset.Group, org.mozilla.javascript.Callable)">AutoFxn</a></strong>(<a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a>&nbsp;group,
       org.mozilla.javascript.Callable&nbsp;body)</code>
<div class="block">Create a new AutoFxn that will execute the given body, as scheduled
 by the given Group.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.getset.Fxn">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.getset.<a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></h3>
<code><a href="../../../xdc/services/getset/Fxn.html#addInput(xdc.services.intern.xsr.Value.Observable, int)">addInput</a>, <a href="../../../xdc/services/getset/Fxn.html#addInput(xdc.services.intern.xsr.Value.Observable, java.lang.String)">addInput</a>, <a href="../../../xdc/services/getset/Fxn.html#addOutput(xdc.services.intern.xsr.Value.Observable, int)">addOutput</a>, <a href="../../../xdc/services/getset/Fxn.html#addOutput(xdc.services.intern.xsr.Value.Observable, java.lang.String)">addOutput</a>, <a href="../../../xdc/services/getset/Fxn.html#call(org.mozilla.javascript.Context, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Scriptable, java.lang.Object[])">call</a>, <a href="../../../xdc/services/getset/Fxn.html#getStale()">getStale</a>, <a href="../../../xdc/services/getset/Fxn.html#getStatus()">getStatus</a>, <a href="../../../xdc/services/getset/Fxn.html#run()">run</a>, <a href="../../../xdc/services/getset/Fxn.html#setStale(boolean)">setStale</a>, <a href="../../../xdc/services/getset/Fxn.html#toString()">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AutoFxn(xdc.services.getset.Group, org.mozilla.javascript.Callable)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AutoFxn</h4>
<pre>public&nbsp;AutoFxn(<a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a>&nbsp;group,
       org.mozilla.javascript.Callable&nbsp;body)</pre>
<div class="block">Create a new AutoFxn that will execute the given body, as scheduled
 by the given Group.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../xdc/services/getset/Field.html" title="class in xdc.services.getset"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/AutoFxn.html" target="_top">Frames</a></li>
<li><a href="AutoFxn.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_xdc.services.getset.Fxn">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
